Page MenuHomePhabricator

Update Debian package of Blubber (0.6.0-1)
Closed, ResolvedPublic

Description

Upstream v0.6.0 tag and the debian debian/0.6.0-1 tag have been created on the debian branch of Blubber and pushed to gerrit.

Should be ready to rebuild and push to production repository.

Changelog:

blubber (0.6.0-1) unstable; urgency=low                  
                                                      
  [ Dan Duvall ]                                                       
  * Provide a stateless blubberoid microservice
                                                                
  [ Tyler Cipriani ]                 
  * Fix make release                         
  * Remove some types that will be inferred                 
                                            
  [ Dan Duvall ]                                   
  * Update `.pipeline/blubber.yaml` to v3 format        
  * Install `node_modules` to application directory                    
  * Test basic functionality of blubberoid                             
  * Remove support for `sharedvolume` configuration                  
                                                    
 -- Tyler Cipriani <tcipriani@wikimedia.org>  Thu, 11 Oct 2018 08:36:32 -0600

This release should enable us to create a .pipeline/blubber.yaml for zotero-v2 that works for testing without having to modify the package.json file in zotero-v2.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2018, 3:14 PM

Mentioned in SAL (#wikimedia-operations) [2018-10-16T09:53:49Z] <akosiaris> upload blubber_0.6.0-1_amd64 to apt.wikimedia.org/jessie-wikimedia/main and apt.wikimedia.org/stretch-wikimedia/main T206766

akosiaris closed this task as Resolved.Oct 16 2018, 9:54 AM
akosiaris claimed this task.

Package built and uploaded to both jessie-wikimedia and stretch-wikimedia